org.keycloak.models.sessions.infinispan.stream

## Class AuthenticatedClientSessionPredicate

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.stream.AuthenticatedClientSessionPredicate

- All Implemented Interfaces:
    Predicate<Map.Entry<UUID,SessionEntityWrapper<AuthenticatedClientSessionEntity>>>

      @SerializeWith(value=AuthenticatedClientSessionPredicate.ExternalizerImpl.class)
      public class AuthenticatedClientSessionPredicate
      extends Object
      implements Predicate<Map.Entry<UUID,SessionEntityWrapper<AuthenticatedClientSessionEntity>>>

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthenticatedClientSessionPredicate.ExternalizerImpl`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticatedClientSessionPredicate` | `create(String realm)` Creates a client session predicate.
    `AuthenticatedClientSessionPredicate` | `expired(Integer expired)`
    `boolean` | `test(Map.Entry<UUID,SessionEntityWrapper<AuthenticatedClientSessionEntity>> entry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `and, isEqual, negate, or`

- - ### Method Detail

    - #### create

          public static AuthenticatedClientSessionPredicate create(String realm)

      Creates a client session predicate.
      Parameters:
        `realm` -
      Returns:

    - #### expired

          public AuthenticatedClientSessionPredicate expired(Integer expired)

    - #### test

          public boolean test(Map.Entry<UUID,SessionEntityWrapper<AuthenticatedClientSessionEntity>> entry)

      Specified by:
        `test` in interface `Predicate<Map.Entry<UUID,SessionEntityWrapper<AuthenticatedClientSessionEntity>>>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.